﻿// <auto-generated />
using System;
using Autoshop.Models;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace Autoshop.Migrations
{
    [DbContext(typeof(AutoshopContext))]
    [Migration("20200408161217_Connection")]
    partial class Connection
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.3")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("Autoshop.Models.Brand", b =>
                {
                    b.Property<int>("IdBrand")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id_brand")
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Brand1")
                        .HasColumnName("brand")
                        .HasColumnType("varchar(50)")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<int>("IdCountry")
                        .HasColumnName("id_country")
                        .HasColumnType("int");

                    b.HasKey("IdBrand")
                        .HasName("XPKBrand");

                    b.HasIndex("IdCountry")
                        .HasName("XIF1Brand");

                    b.ToTable("Brand");
                });

            modelBuilder.Entity("Autoshop.Models.Car", b =>
                {
                    b.Property<int>("IdCar")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id_car")
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("IdBrand")
                        .HasColumnName("id_brand")
                        .HasColumnType("int");

                    b.Property<int>("IdColor")
                        .HasColumnName("id_color")
                        .HasColumnType("int");

                    b.Property<string>("Model")
                        .HasColumnName("model")
                        .HasColumnType("varchar(50)")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<int?>("Price")
                        .HasColumnName("price")
                        .HasColumnType("int");

                    b.Property<DateTime?>("Year")
                        .HasColumnName("year")
                        .HasColumnType("date");

                    b.HasKey("IdCar")
                        .HasName("XPKCar");

                    b.HasIndex("IdBrand")
                        .HasName("XIF1Car");

                    b.HasIndex("IdColor")
                        .HasName("XIF3Car");

                    b.ToTable("Car");
                });

            modelBuilder.Entity("Autoshop.Models.CarSales", b =>
                {
                    b.Property<int>("IdCarSales")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id_car_sales")
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime?>("Date")
                        .HasColumnName("date")
                        .HasColumnType("date");

                    b.Property<int>("IdCarStorage")
                        .HasColumnName("id_car_storage")
                        .HasColumnType("int");

                    b.Property<int>("IdClient")
                        .HasColumnName("id_client")
                        .HasColumnType("int");

                    b.Property<int>("IdEmployee")
                        .HasColumnName("id_employee")
                        .HasColumnType("int");

                    b.Property<int?>("TotalPrice")
                        .HasColumnName("total_price")
                        .HasColumnType("int");

                    b.HasKey("IdCarSales")
                        .HasName("XPKCar_Sales");

                    b.HasIndex("IdCarStorage")
                        .HasName("XIF1Car_Sales");

                    b.HasIndex("IdClient")
                        .HasName("XIF3Car_Sales");

                    b.HasIndex("IdEmployee")
                        .HasName("XIF2Car_Sales");

                    b.ToTable("Car_Sales");
                });

            modelBuilder.Entity("Autoshop.Models.CarStorage", b =>
                {
                    b.Property<int>("IdCarStorage")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id_car_storage")
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("Amount")
                        .HasColumnName("amount")
                        .HasColumnType("int");

                    b.Property<int>("IdCar")
                        .HasColumnName("id_car")
                        .HasColumnType("int");

                    b.Property<int>("IdShop")
                        .HasColumnName("id_shop")
                        .HasColumnType("int");

                    b.HasKey("IdCarStorage")
                        .HasName("XPKCar_Storage");

                    b.HasIndex("IdCar")
                        .HasName("XIF3Car_Storage");

                    b.HasIndex("IdShop")
                        .HasName("XIF4Car_Storage");

                    b.ToTable("Car_Storage");
                });

            modelBuilder.Entity("Autoshop.Models.City", b =>
                {
                    b.Property<int>("IdCity")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id_city")
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("City1")
                        .HasColumnName("city")
                        .HasColumnType("varchar(50)")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<int>("IdCountry")
                        .HasColumnName("id_country")
                        .HasColumnType("int");

                    b.HasKey("IdCity")
                        .HasName("XPKCity");

                    b.HasIndex("IdCountry")
                        .HasName("XIF1City");

                    b.ToTable("City");
                });

            modelBuilder.Entity("Autoshop.Models.Client", b =>
                {
                    b.Property<int>("IdClient")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id_client")
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime?>("Birth")
                        .HasColumnName("birth")
                        .HasColumnType("date");

                    b.Property<int?>("Discount")
                        .HasColumnName("discount")
                        .HasColumnType("int");

                    b.Property<string>("Fullname")
                        .HasColumnName("fullname")
                        .HasColumnType("varchar(50)")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Passport")
                        .HasColumnName("passport")
                        .HasColumnType("varchar(50)")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.HasKey("IdClient")
                        .HasName("XPKClient");

                    b.ToTable("Client");
                });

            modelBuilder.Entity("Autoshop.Models.Color", b =>
                {
                    b.Property<int>("IdColor")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id_color")
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Color1")
                        .HasColumnName("color")
                        .HasColumnType("varchar(50)")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.HasKey("IdColor")
                        .HasName("XPKColor");

                    b.ToTable("Color");
                });

            modelBuilder.Entity("Autoshop.Models.Country", b =>
                {
                    b.Property<int>("IdCountry")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id_country")
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Country1")
                        .IsRequired()
                        .HasColumnName("country")
                        .HasColumnType("varchar(50)")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.HasKey("IdCountry")
                        .HasName("XPKCountry");

                    b.ToTable("Country");
                });

            modelBuilder.Entity("Autoshop.Models.Employee", b =>
                {
                    b.Property<int>("IdEmployee")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id_employee")
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime?>("Birth")
                        .HasColumnName("birth")
                        .HasColumnType("date");

                    b.Property<int?>("Commition")
                        .HasColumnName("commition")
                        .HasColumnType("int");

                    b.Property<string>("Fullname")
                        .HasColumnName("fullname")
                        .HasColumnType("varchar(50)")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<int>("IdPosition")
                        .HasColumnName("id_position")
                        .HasColumnType("int");

                    b.Property<int>("IdShop")
                        .HasColumnName("id_shop")
                        .HasColumnType("int");

                    b.Property<string>("Passport")
                        .IsRequired()
                        .HasColumnName("passport")
                        .HasColumnType("varchar(50)")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<int?>("Salary")
                        .HasColumnName("salary")
                        .HasColumnType("int");

                    b.HasKey("IdEmployee")
                        .HasName("XPKEmployee");

                    b.HasIndex("IdPosition")
                        .HasName("XIF2Employee");

                    b.HasIndex("IdShop")
                        .HasName("XIF1Employee");

                    b.ToTable("Employee");
                });

            modelBuilder.Entity("Autoshop.Models.Orders", b =>
                {
                    b.Property<int>("IdOrders")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id_orders")
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime?>("AddDate")
                        .HasColumnName("add_date")
                        .HasColumnType("date");

                    b.Property<int?>("Amount")
                        .HasColumnName("amount")
                        .HasColumnType("int");

                    b.Property<DateTime?>("Date")
                        .HasColumnName("date")
                        .HasColumnType("date");

                    b.Property<string>("Description")
                        .HasColumnName("description")
                        .HasColumnType("varchar(200)")
                        .HasMaxLength(200)
                        .IsUnicode(false);

                    b.Property<int>("IdCar")
                        .HasColumnName("id_car")
                        .HasColumnType("int");

                    b.Property<int>("IdCarStorage")
                        .HasColumnName("id_car_storage")
                        .HasColumnType("int");

                    b.Property<int>("IdEmployee")
                        .HasColumnName("id_employee")
                        .HasColumnType("int");

                    b.Property<int>("IdProvider")
                        .HasColumnName("id_provider")
                        .HasColumnType("int");

                    b.Property<byte?>("IfAdded")
                        .HasColumnName("if_added")
                        .HasColumnType("tinyint");

                    b.HasKey("IdOrders")
                        .HasName("XPKTaking_In_Shop");

                    b.HasIndex("IdCar")
                        .HasName("XIF6Orders_Content");

                    b.HasIndex("IdCarStorage")
                        .HasName("XIF3Taking_In_Shop");

                    b.HasIndex("IdEmployee")
                        .HasName("XIF4Taking_In_Shop");

                    b.HasIndex("IdProvider")
                        .HasName("XIF1Orders");

                    b.ToTable("Orders");
                });

            modelBuilder.Entity("Autoshop.Models.Position", b =>
                {
                    b.Property<int>("IdPosition")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id_position")
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Position1")
                        .HasColumnName("position")
                        .HasColumnType("varchar(50)")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.HasKey("IdPosition")
                        .HasName("XPKPosition");

                    b.ToTable("Position");
                });

            modelBuilder.Entity("Autoshop.Models.Provider", b =>
                {
                    b.Property<int>("IdProvider")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id_provider")
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Adress")
                        .HasColumnName("adress")
                        .HasColumnType("varchar(50)")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("EMail")
                        .HasColumnName("e_mail")
                        .HasColumnType("varchar(50)")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<int>("IdBrand")
                        .HasColumnName("id_brand")
                        .HasColumnType("int");

                    b.Property<int>("IdCity")
                        .HasColumnName("id_city")
                        .HasColumnType("int");

                    b.Property<string>("Person")
                        .HasColumnName("person")
                        .HasColumnType("varchar(50)")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Telephone")
                        .HasColumnName("telephone")
                        .HasColumnType("varchar(24)")
                        .HasMaxLength(24)
                        .IsUnicode(false);

                    b.HasKey("IdProvider")
                        .HasName("XPKProvider");

                    b.HasIndex("IdBrand")
                        .HasName("XIF2Provider");

                    b.HasIndex("IdCity")
                        .HasName("XIF1Provider");

                    b.ToTable("Provider");
                });

            modelBuilder.Entity("Autoshop.Models.Shop", b =>
                {
                    b.Property<int>("IdShop")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id_shop")
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Adress")
                        .HasColumnName("adress")
                        .HasColumnType("varchar(50)")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<int>("IdCity")
                        .HasColumnName("id_city")
                        .HasColumnType("int");

                    b.HasKey("IdShop")
                        .HasName("XPKShop");

                    b.HasIndex("IdCity")
                        .HasName("XIF1Shop");

                    b.ToTable("Shop");
                });

            modelBuilder.Entity("Autoshop.Models.Type", b =>
                {
                    b.Property<int>("IdType")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id_type")
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Type1")
                        .HasColumnName("type")
                        .HasColumnType("varchar(50)")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.HasKey("IdType")
                        .HasName("XPKType");

                    b.ToTable("Type");
                });

            modelBuilder.Entity("Autoshop.Models.TypeCar", b =>
                {
                    b.Property<int>("IdType")
                        .HasColumnName("id_type")
                        .HasColumnType("int");

                    b.Property<int>("IdCar")
                        .HasColumnName("id_car")
                        .HasColumnType("int");

                    b.HasKey("IdType", "IdCar")
                        .HasName("XPKType_Car");

                    b.HasIndex("IdCar")
                        .HasName("XIF2Color_Car");

                    b.HasIndex("IdType")
                        .HasName("XIF1Color_Car");

                    b.ToTable("Type_Car");
                });

            modelBuilder.Entity("Autoshop.Models.Brand", b =>
                {
                    b.HasOne("Autoshop.Models.Country", "IdCountryNavigation")
                        .WithMany("Brand")
                        .HasForeignKey("IdCountry")
                        .HasConstraintName("R_1")
                        .IsRequired();
                });

            modelBuilder.Entity("Autoshop.Models.Car", b =>
                {
                    b.HasOne("Autoshop.Models.Brand", "IdBrandNavigation")
                        .WithMany("Car")
                        .HasForeignKey("IdBrand")
                        .HasConstraintName("R_2")
                        .IsRequired();

                    b.HasOne("Autoshop.Models.Color", "IdColorNavigation")
                        .WithMany("Car")
                        .HasForeignKey("IdColor")
                        .HasConstraintName("R_16")
                        .IsRequired();
                });

            modelBuilder.Entity("Autoshop.Models.CarSales", b =>
                {
                    b.HasOne("Autoshop.Models.CarStorage", "IdCarStorageNavigation")
                        .WithMany("CarSales")
                        .HasForeignKey("IdCarStorage")
                        .HasConstraintName("R_10")
                        .IsRequired();

                    b.HasOne("Autoshop.Models.Client", "IdClientNavigation")
                        .WithMany("CarSales")
                        .HasForeignKey("IdClient")
                        .HasConstraintName("R_47")
                        .IsRequired();

                    b.HasOne("Autoshop.Models.Employee", "IdEmployeeNavigation")
                        .WithMany("CarSales")
                        .HasForeignKey("IdEmployee")
                        .HasConstraintName("R_22")
                        .IsRequired();
                });

            modelBuilder.Entity("Autoshop.Models.CarStorage", b =>
                {
                    b.HasOne("Autoshop.Models.Car", "IdCarNavigation")
                        .WithMany("CarStorage")
                        .HasForeignKey("IdCar")
                        .HasConstraintName("R_17")
                        .IsRequired();

                    b.HasOne("Autoshop.Models.Shop", "IdShopNavigation")
                        .WithMany("CarStorage")
                        .HasForeignKey("IdShop")
                        .HasConstraintName("R_9")
                        .IsRequired();
                });

            modelBuilder.Entity("Autoshop.Models.City", b =>
                {
                    b.HasOne("Autoshop.Models.Country", "IdCountryNavigation")
                        .WithMany("City")
                        .HasForeignKey("IdCountry")
                        .HasConstraintName("R_6")
                        .IsRequired();
                });

            modelBuilder.Entity("Autoshop.Models.Employee", b =>
                {
                    b.HasOne("Autoshop.Models.Position", "IdPositionNavigation")
                        .WithMany("Employee")
                        .HasForeignKey("IdPosition")
                        .HasConstraintName("R_21")
                        .IsRequired();

                    b.HasOne("Autoshop.Models.Shop", "IdShopNavigation")
                        .WithMany("Employee")
                        .HasForeignKey("IdShop")
                        .HasConstraintName("R_29")
                        .IsRequired();
                });

            modelBuilder.Entity("Autoshop.Models.Orders", b =>
                {
                    b.HasOne("Autoshop.Models.Car", "IdCarNavigation")
                        .WithMany("Orders")
                        .HasForeignKey("IdCar")
                        .HasConstraintName("R_56")
                        .IsRequired();

                    b.HasOne("Autoshop.Models.CarStorage", "IdCarStorageNavigation")
                        .WithMany("Orders")
                        .HasForeignKey("IdCarStorage")
                        .HasConstraintName("R_45")
                        .IsRequired();

                    b.HasOne("Autoshop.Models.Employee", "IdEmployeeNavigation")
                        .WithMany("Orders")
                        .HasForeignKey("IdEmployee")
                        .HasConstraintName("R_50")
                        .IsRequired();

                    b.HasOne("Autoshop.Models.Provider", "IdProviderNavigation")
                        .WithMany("Orders")
                        .HasForeignKey("IdProvider")
                        .HasConstraintName("R_14")
                        .IsRequired();
                });

            modelBuilder.Entity("Autoshop.Models.Provider", b =>
                {
                    b.HasOne("Autoshop.Models.Brand", "IdBrandNavigation")
                        .WithMany("Provider")
                        .HasForeignKey("IdBrand")
                        .HasConstraintName("R_46")
                        .IsRequired();

                    b.HasOne("Autoshop.Models.City", "IdCityNavigation")
                        .WithMany("Provider")
                        .HasForeignKey("IdCity")
                        .HasConstraintName("R_12")
                        .IsRequired();
                });

            modelBuilder.Entity("Autoshop.Models.Shop", b =>
                {
                    b.HasOne("Autoshop.Models.City", "IdCityNavigation")
                        .WithMany("Shop")
                        .HasForeignKey("IdCity")
                        .HasConstraintName("R_7")
                        .IsRequired();
                });

            modelBuilder.Entity("Autoshop.Models.TypeCar", b =>
                {
                    b.HasOne("Autoshop.Models.Car", "IdCarNavigation")
                        .WithMany("TypeCar")
                        .HasForeignKey("IdCar")
                        .HasConstraintName("R_61")
                        .IsRequired();

                    b.HasOne("Autoshop.Models.Type", "IdTypeNavigation")
                        .WithMany("TypeCar")
                        .HasForeignKey("IdType")
                        .HasConstraintName("R_57")
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
